Package: groovy.lang

## [Java] Interface GroovyInterceptable

- groovy.lang.GroovyObject

- All Superinterfaces:
    GroovyObject

      public interface GroovyInterceptable
      extends GroovyObject

  Marker interface used to notify that all methods should be intercepted through the `invokeMethod` mechanism of `GroovyObject`.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyObject` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`